# Uses of Class
org.apache.sysds.parser.Expression

Packages that use Expression
Package
Description
org.apache.sysds.api.mlcontext
org.apache.sysds.parser
org.apache.sysds.parser.dml
org.apache.sysds.runtime.meta
org.apache.sysds.utils

## Uses of Expression in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext with parameters of type Expression
Modifier and Type
Method
Description
`void`
MLContext.InternalProxy.`setAppropriateVarsForRead(Expression source, String target)`

## Uses of Expression in org.apache.sysds.parser

Subclasses of Expression in org.apache.sysds.parser
Modifier and Type
Class
Description
`class`
`BinaryExpression`
`class`
`BooleanExpression`
`class`
`BooleanIdentifier`
`class`
`BuiltinFunctionExpression`
`class`
`ConstIdentifier`
`class`
`DataExpression`
`class`
`DataIdentifier`
`class`
`DoubleIdentifier`
`class`
`ExpressionList`
`class`
`FunctionCallIdentifier`
`class`
`Identifier`
`class`
`IndexedIdentifier`
`class`
`IntIdentifier`
`class`
`IterablePredicate`
`class`
`ListIdentifier`
`class`
`ParameterizedBuiltinFunctionExpression`
`class`
`RelationalExpression`
`class`
`StringIdentifier`
Methods in org.apache.sysds.parser that return Expression
Modifier and Type
Method
Description
`Expression[]`
BuiltinFunctionExpression.`getAllExpr()`
`Expression`
IndexedIdentifier.`getColLowerBound()`
`Expression`
IndexedIdentifier.`getColUpperBound()`
`Expression`
BuiltinFunctionExpression.`getEighthExpr()`
`Expression`
BuiltinFunctionExpression.`getExpr(int i)`
`Expression`
ParameterExpression.`getExpr()`
`Expression`
OutputStatement.`getExprParam(String key)`
`Expression`
BuiltinFunctionExpression.`getFifthExpr()`
`Expression`
BuiltinFunctionExpression.`getFirstExpr()`
`Expression`
BuiltinFunctionExpression.`getFourthExpr()`
`Expression`
IterablePredicate.`getFromExpr()`
`Expression`
IterablePredicate.`getIncrementExpr()`
`Expression`
FunctionStatement.`getInputDefault(String name)`
`Expression`
BinaryExpression.`getLeft()`
`Expression`
BooleanExpression.`getLeft()`
`Expression`
RelationalExpression.`getLeft()`
`Expression`
ConditionalPredicate.`getPredicate()`
`Expression`
BinaryExpression.`getRight()`
`Expression`
BooleanExpression.`getRight()`
`Expression`
RelationalExpression.`getRight()`
`Expression`
IndexedIdentifier.`getRowLowerBound()`
`Expression`
IndexedIdentifier.`getRowUpperBound()`
`Expression`
BuiltinFunctionExpression.`getSecondExpr()`
`Expression`
BuiltinFunctionExpression.`getSeventhExpr()`
`Expression`
BuiltinFunctionExpression.`getSixthExpr()`
`Expression`
AssignmentStatement.`getSource()`
`Expression`
MultiAssignmentStatement.`getSource()`
`Expression`
BuiltinFunctionExpression.`getThirdExpr()`
`Expression`
IterablePredicate.`getToExpr()`
`Expression`
DataExpression.`getVarParam(String name)`
`Expression`
ParameterizedBuiltinFunctionExpression.`getVarParam(String name)`
`Expression`
BinaryExpression.`rewriteExpression(String prefix)`
`Expression`
BooleanExpression.`rewriteExpression(String prefix)`
`Expression`
BooleanIdentifier.`rewriteExpression(String prefix)`
`Expression`
BuiltinFunctionExpression.`rewriteExpression(String prefix)`
`Expression`
DataExpression.`rewriteExpression(String prefix)`
`Expression`
DataIdentifier.`rewriteExpression(String prefix)`
`Expression`
DoubleIdentifier.`rewriteExpression(String prefix)`
`abstract Expression`
Expression.`rewriteExpression(String prefix)`
`Expression`
ExpressionList.`rewriteExpression(String prefix)`
`Expression`
FunctionCallIdentifier.`rewriteExpression(String prefix)`
`Expression`
IndexedIdentifier.`rewriteExpression(String prefix)`
`Expression`
IntIdentifier.`rewriteExpression(String prefix)`
`Expression`
IterablePredicate.`rewriteExpression(String prefix)`
`Expression`
ListIdentifier.`rewriteExpression(String prefix)`
`Expression`
ParameterizedBuiltinFunctionExpression.`rewriteExpression(String prefix)`
`Expression`
RelationalExpression.`rewriteExpression(String prefix)`
`Expression`
StringIdentifier.`rewriteExpression(String prefix)`
`static Expression`
StatementBlock.`rHoistFunctionCallsFromExpressions(Expression expr, boolean root, ArrayList<Statement> tmp, DMLProgram prog)`
Methods in org.apache.sysds.parser that return types with arguments of type Expression
Modifier and Type
Method
Description
`List<Expression>`
PrintStatement.`getExpressions()`
`ArrayList<Expression>`
FunctionStatement.`getInputDefaults()`
`ArrayList<Expression>`
ExpressionList.`getValue()`
`HashMap<String,Expression>`
DataExpression.`getVarParams()`
`HashMap<String,Expression>`
ParameterizedBuiltinFunctionExpression.`getVarParams()`
Methods in org.apache.sysds.parser with parameters of type Expression
Modifier and Type
Method
Description
`void`
OutputStatement.`addExprParam(String name, Expression value, boolean fromMTDFile)`
`void`
DataExpression.`addFederatedExprParam(String paramName, Expression paramValue)`
`void`
DataExpression.`addFrameExprParam(String paramName, Expression paramValue)`
`void`
DataExpression.`addMatrixExprParam(String paramName, Expression paramValue)`
`void`
DataExpression.`addRandExprParam(String paramName, Expression paramValue)`
`void`
DataExpression.`addSqlExprParam(String paramName, Expression paramValue)`
`void`
DataExpression.`addTensorExprParam(String paramName, Expression paramValue)`
`void`
DataExpression.`addVarParam(String name, Expression value)`
`void`
ParameterizedBuiltinFunctionExpression.`addVarParam(String name, Expression value)`
`static Types.DataType`
Expression.`computeDataType(Expression expression1, Expression expression2, boolean cast)`
Compute data type based on expressions.
`static Types.ValueType`
Expression.`computeValueType(Expression expr1, Types.ValueType v1, Types.ValueType v2, boolean cast)`
`static Types.ValueType`
Expression.`computeValueType(Expression expression1, Expression expression2, boolean cast)`
Compute value type based on expressions.
`static MatrixCharacteristics`
Expression.`getBinaryMatrixCharacteristics(Expression expression1, Expression expression2)`
Returns the matrix characteristics for scalar-scalar, scalar-matrix, matrix-scalar, matrix-matrix operations.
`static Expression`
StatementBlock.`rHoistFunctionCallsFromExpressions(Expression expr, boolean root, ArrayList<Statement> tmp, DMLProgram prog)`
`void`
IndexedIdentifier.`setColLowerBound(Expression passed)`
`void`
IndexedIdentifier.`setColUpperBound(Expression passed)`
`void`
ParameterExpression.`setExpr(Expression expr)`
`void`
IterablePredicate.`setFromExpr(Expression from)`
`void`
IterablePredicate.`setIncrementExpr(Expression increment)`
`void`
BinaryExpression.`setLeft(Expression l)`
`void`
BooleanExpression.`setLeft(Expression l)`
`void`
RelationalExpression.`setLeft(Expression l)`
`void`
ConditionalPredicate.`setPredicate(Expression expr)`
`void`
BinaryExpression.`setRight(Expression r)`
`void`
BooleanExpression.`setRight(Expression r)`
`void`
RelationalExpression.`setRight(Expression r)`
`void`
IndexedIdentifier.`setRowLowerBound(Expression passed)`
`void`
IndexedIdentifier.`setRowUpperBound(Expression passed)`
`void`
AssignmentStatement.`setSource(Expression s)`
`void`
IterablePredicate.`setToExpr(Expression to)`
Method parameters in org.apache.sysds.parser with type arguments of type Expression
Modifier and Type
Method
Description
`void`
PrintStatement.`setExpressions(List<Expression> expressions)`
`void`
IndexedIdentifier.`setIndices(ArrayList<ArrayList<Expression>> passed)`
`void`
FunctionStatement.`setInputDefaults(ArrayList<Expression> inputDefaults)`
`void`
ExpressionList.`setValue(ArrayList<Expression> _value)`
`void`
DataExpression.`setVarParams(HashMap<String,Expression> varParams)`
Constructors in org.apache.sysds.parser with parameters of type Expression
Modifier
Constructor
Description
``
`AssignmentStatement(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier di, Expression exp)`
``
`AssignmentStatement(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier di, Expression exp, String filename)`
``
`AssignmentStatement(DataIdentifier di, Expression exp)`
``
`AssignmentStatement(DataIdentifier di, Expression exp, ParseInfo parseInfo)`
``
`BuiltinFunctionExpression(org.antlr.v4.runtime.ParserRuleContext ctx, Builtins bifop, Expression[] args, String fname)`
``
`BuiltinFunctionExpression(Builtins bifop, Expression[] args, ParseInfo parseInfo)`
``
`ConditionalPredicate(Expression expr)`
``
`IterablePredicate(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier iterVar, Expression fromExpr, Expression toExpr, Expression incrementExpr, HashMap<String,String> parForParamValues, String filename)`
``
`MultiAssignmentStatement(ArrayList<DataIdentifier> tList, Expression s)`
``
`ParameterExpression(String name, Expression val)`
Constructor parameters in org.apache.sysds.parser with type arguments of type Expression
Modifier
Constructor
Description
``
`DataExpression(org.antlr.v4.runtime.ParserRuleContext ctx, Expression.DataOp op, HashMap<String,Expression> varParams, String filename)`
``
`DataExpression(Expression.DataOp op, HashMap<String,Expression> varParams, ParseInfo parseInfo)`
``
`ExpressionList(ArrayList<Expression> value)`
``
`ParameterizedBuiltinFunctionExpression(org.antlr.v4.runtime.ParserRuleContext ctx, Builtins op, LinkedHashMap<String,Expression> varParams, String filename)`
``
`ParameterizedBuiltinFunctionExpression(Builtins op, LinkedHashMap<String,Expression> varParams, ParseInfo parseInfo)`
``
`PrintStatement(org.antlr.v4.runtime.ParserRuleContext ctx, String type, List<Expression> expressions, String filename)`
``
`PrintStatement(PrintStatement.PRINTTYPE type, List<Expression> expressions)`

## Uses of Expression in org.apache.sysds.parser.dml

Fields in org.apache.sysds.parser.dml declared as Expression
Modifier and Type
Field
Description
`Expression`
ExpressionInfo.`expr`
`Expression`
ExpressionInfo.`from`
`Expression`
ExpressionInfo.`increment`
`Expression`
ExpressionInfo.`to`

## Uses of Expression in org.apache.sysds.runtime.meta

Subclasses of Expression in org.apache.sysds.runtime.meta
Modifier and Type
Class
Description
`class`
`MetaDataAll`
Methods in org.apache.sysds.runtime.meta that return types with arguments of type Expression
Modifier and Type
Method
Description
`HashMap<String,Expression>`
MetaDataAll.`parseMetaDataFileParameters(String mtdFileName, boolean conditional, HashMap<String,Expression> varParams)`
Methods in org.apache.sysds.runtime.meta with parameters of type Expression
Modifier and Type
Method
Description
`void`
MetaDataAll.`addVarParam(String name, Expression value, HashMap<String,Expression> varParams)`
Method parameters in org.apache.sysds.runtime.meta with type arguments of type Expression
Modifier and Type
Method
Description
`void`
MetaDataAll.`addVarParam(String name, Expression value, HashMap<String,Expression> varParams)`
`HashMap<String,Expression>`
MetaDataAll.`parseMetaDataFileParameters(String mtdFileName, boolean conditional, HashMap<String,Expression> varParams)`

## Uses of Expression in org.apache.sysds.utils

Methods in org.apache.sysds.utils with parameters of type Expression
Modifier and Type
Method
Description
`static void`
MLContextProxy.`setAppropriateVarsForRead(Expression source, String targetname)`